Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Qwen3 32B

Qwen3-32B is a powerful reasoning model with strong performance in complex tasks, featuring built-in reasoning capabilities.

POST/project/p-{Project_Id}/genai/qwen3_32b/v1/chat/completions

Query parameters

  • project_idQueryintegerrequired

    Project ID

Request body

application/json

object
temperaturenumber
example0.5
max_tokensinteger
example1500
top_pnumber
example1
frequency_penaltynumber
example0
presence_penaltynumber
example1
streamboolean
examplefalse
modelstring
exampleqwen3_32b
messagesarray

Responses

No StreamSuccessful response (Non-streaming)
object
idstring
examplechatcmpl-fac93c60-a0c4-4fc8-9b75-bb41d8838e90
objectstring
examplechat.completion
createdinteger
example1770613777
modelstring
exampleqwen3_32b
choicesarray
usageobject
prompt_logprobsstring
kv_transfer_paramsstring
StreamSuccessful response (Streaming mode)
string
exampledata: {"id":"chatcmpl-abc123","object":"chat.completion.chunk","created":1770613777,"model":"qwen3_32b","choices":[{"index":0,"delta":{"role":"assistant","content":""},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-abc123","object":"chat.completion.chunk","created":1770613777,"model":"qwen3_32b","choices":[{"index":0,"delta":{"content":"Hello"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-abc123","object":"chat.completion.chunk","created":1770613777,"model":"qwen3_32b","choices":[{"index":0,"delta":{"content":"!"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-abc123","object":"chat.completion.chunk","created":1770613777,"model":"qwen3_32b","choices":[{"index":0,"delta":{"content":" How"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-abc123","object":"chat.completion.chunk","created":1770613777,"model":"qwen3_32b","choices":[{"index":0,"delta":{"content":" can"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-abc123","object":"chat.completion.chunk","created":1770613777,"model":"qwen3_32b","choices":[{"index":0,"delta":{"content":" I"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-abc123","object":"chat.completion.chunk","created":1770613777,"model":"qwen3_32b","choices":[{"index":0,"delta":{"content":" help"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-abc123","object":"chat.completion.chunk","created":1770613777,"model":"qwen3_32b","choices":[{"index":0,"delta":{"content":" you"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-abc123","object":"chat.completion.chunk","created":1770613777,"model":"qwen3_32b","choices":[{"index":0,"delta":{"content":"?"},"logprobs":null,"finish_reason":"stop"}]} data: [DONE]